config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  elif [ -f /.installer-version ]; then
    # We're in the Installer, so overwrite the Installer-specific file
    mv $NEW $OLD
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

# Determine status of system ROOTDEV 
if [ -f /tag/README ] ; then 
  # Get ROOTDEV from /etc/fstab on minirootfs
  ROOTDEV=$(cat /mnt/etc/fstab | grep " / " | cut -d' ' -f1)
elif [ -b /dev/mmcblk0p2 ]; then
  # Get ROOTDEV via findmnt on installed system
  ROOTDEV=$(findmnt -n -o SOURCE /)
else
  # Assume the default ROOTDEV 
  ROOTDEV='/dev/mmcblk0p3'  
fi

# Write ROOTDEV to cmdline file
sed -i -e "s|@DEVROOT@|${ROOTDEV}|" boot/cmdline.txt.new

# Roll the config()
config boot/cmdline.txt.new

# Double-sync as /boot is a vfat filesystem
sync;sync
